Subject: Re: bug#77039: 31.0.50; Flickering on macOS

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Mar 2025 18:41:50 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Sat, 22 Mar 2025 09:17:08 -0700
> Cc: [email-masked], [email-masked], [email-masked]
> 
> In my config, I definitely see matrix comparisons when hidden buffers are updated. It's row_equal_p and
> update_text_area that are called in rapid succession even when the shell buffer is not visible.  I tried
> disabling both my tab bar and my header line (I don't use a mode line) and I still saw it updating. 
> 
> Here's an example log output, this repeats as quickly as yes emits "y"
> 
> dispnew.c:4775
> dispnew.c:1295
> dispnew.c:1295
> dispnew.c:1295
> dispnew.c:1295
> dispnew.c:1295
> dispnew.c:1295
> dispnew.c:1295
> dispnew.c:4775

Is the mode_line_p flag of the glyph row set when these comparisons
are made?